# Grafana Module for Icinga Web 2

#### Table of Contents

1. [About](#about)
2. [License](#license)
3. [Support](#support)
4. [Requirements](#requirements)
5. [Documentation](#documentation)
6. [Contributing](#contributing)
7. [Donations](#donations)


## About

Add Grafana graphs into Icinga Web 2 to display performance metrics.

<table border="0">
<tr>
   <td><img src="https://github.com/Mikesch-mp/icingaweb2-module-grafana/raw/master/doc/images/icingaweb2_grafana_screenshot_01.png"></td>
   <td rowspan="2"><img src="https://github.com/Mikesch-mp/icingaweb2-module-grafana/raw/master/doc/images/icingaweb2_grafana_screenshot_05.png"></td>
</tr>
<tr>
   <td><img src="https://github.com/Mikesch-mp/icingaweb2-module-grafana/raw/master/doc/images/icingaweb2_grafana_screenshot_01.png"></td>
</tr>
</table>




## License

Icinga Web 2 and this Icinga Web 2 module are licensed under the terms of the GNU
General Public License Version 2, you will find a copy of this license in the
LICENSE file included in the source package.

## Support

Join the [Icinga community channels](https://icinga.com/community/) for questions.

## Requirements

* [Icinga Web 2](https://github.com/Icinga/icingaweb2) (>= 2.11)
* [Icinga DB Web](https://github.com/Icinga/icingadb-web) (>= 1.02)
* [Grafana](https://grafana.com/) (>= 7.0)
* [InfluxDB](https://docs.influxdata.com/influxdb/) (>= 1.0) [Graphite](https://graphiteapp.org) as backend for Grafana
* [PHP 8.1](https://www.php.net) **with curl and gd enabled**

## Documentation

You can find the complete documentation inside the [doc](https://github.com/Mikesch-mp/icingaweb2-module-grafana/raw/master/doc) folder.

## Thanks

This module borrows a lot from https://github.com/Icinga/icingaweb2-module-generictts & https://github.com/Icinga/icingaweb2-module-pnp.

## Contributing

There are many ways to contribute to the Icinga Web module for Grafana --
whether it be sending patches, testing, reporting bugs, or reviewing and
updating the documentation. Every contribution is appreciated!

Please continue reading in the [contributing chapter](CONTRIBUTING.md).

